---
obj: concept
wiki: https://en.wikipedia.org/wiki/Comic_book_archive
---

# Comic Book Archive
A comic book archive is a type of archive file for the purpose of sequential viewing of images, commonly for comic books or manga.

The filename extension indicates the archive type used:
- `.cb7` → [7z](../applications/cli/p7zip.md)
- `.cba` → ACE
- `.cbr` → RAR
- `.cbt` → [TAR](../applications/cli/tar.md)
- `.cbz` → [ZIP](ZIP.md)

Comic book archive files mainly consist of a series of image files with specific naming, typically [PNG](../media/image/PNG.md) (lossless compression) or JPEG (lossy compression, not JPEG-LS or JPEG XT) files, stored as a single archive file. Occasionally GIF, BMP, and TIFF files are seen. Folders may be used to group images in a more logical layout within the archive, like book chapters.