---
obj: concept
wiki: https://en.wikipedia.org/wiki/File_Transfer_Protocol
rfc: https://datatracker.ietf.org/doc/html/rfc959
---

# File Transfer Protocol
The File Transfer Protocol (FTP) is a standard communication protocol used for the transfer of computer files from a server to a client on a computer network. FTP is built on a client–server model architecture using separate control (Port `21`) and data (Port `20`) connections between the client and the server. FTP users may authenticate themselves with a plain-text sign-in protocol, normally in the form of a username and password, but can connect anonymously if the server is configured to allow it. For secure transmission that protects the username and password, and encrypts the content, FTP is often secured with SSL/TLS (FTPS) or replaced with [SSH](../applications/SSH.md) File Transfer Protocol (SFTP). One popular FTP client is [FileZilla](../applications/network/FileZilla.md).