---
obj: meta/collection
---
#refactor 
Get basic command overview:
```shell
curl cheat.sh/$CMD
```
# Command Line Tools

- [Alacritty](https://github.com/alacritty/alacritty) : [Alacritty](../applications/cli/alacritty.md) Terminal
- [AppImage](https://github.com/AppImage/AppImageKit) : Software Package
- [hyperfine](https://github.com/sharkdp/hyperfine): benchmarking
- [tokei](https://github.com/XAMPPRocky/tokei) : count lines of code
- [youtube-dl](https://github.com/ytdl-org/youtube-dl) : Download many video sites
- [ssh](../applications/SSH.md) : remote control an computer
- mosh : advanced [ssh](../applications/SSH.md) client
- [GPG](../tools/GPG.md) : gpg keys and commands
- [wget](https://github.com/mirror/wget) : get a file from the internet
- [curl](../applications/cli/curl.md) : get website
- [rsync](../applications/cli/rsync.md) : sync files
- [Brew](../applications/package%20managers/Brew.md) : package manager
- [flutter](https://github.com/flutter/flutter): dev toolkit
- [watchexec](https://github.com/watchexec/watchexec) : watch for file changes
- [ffmpeg](../media/ffmpeg.md) : convert, cut media files
- [bash](../applications/cli/bash.md) : shell
- [zsh](https://github.com/zsh-users/zsh) : new shell
- [fish](https://github.com/fish-shell/fish-shell) : friendly shell
- [fd](../applications/cli/fd.md) : finding files
- [eza](../applications/cli/eza.md) : ls alternative
- [just](../applications/cli/just.md) : make alternative
- [diskus](https://github.com/sharkdp/diskus) : du alternative
- gitui : [Git](../dev/Git.md) interface
- [glow](../applications/cli/glow.md) : markdown rendering
- [diskonaut](../applications/cli/diskonaut.md) : see file sizes
- [joshuto](../applications/cli/joshuto.md) : file manager
- [jless](../applications/cli/jless.md) : [json](../files/JSON.md) viewer
- [loop](../applications/cli/Loop.md) : create loops
- [rnr](../applications/cli/rnr.md) : batch rename
- [handlr](../applications/cli/handlr.md) : xdg tool
- viu : terminal image viewer
- [dust](https://github.com/bootandy/dust) : du alternative with nice stats
- [tldr](https://github.com/dbrgn/tealdeer) : man alternative
- [bat](../applications/cli/bat.md) : more advanced cat
- [ripgrep](../applications/cli/ripgrep.md) : grep replacement
- [micro](../applications/cli/micro.md) : nano replacement
- [procs](https://github.com/dalance/procs) : ps alternative
- [sd](../applications/cli/sd.md) : sed replacement
- [choose](../applications/cli/choose.md) : cut replacement
- [hexyl](../applications/cli/hexyl.md) : hexdump replacement
- [coreutils](https://github.com/uutils/coreutils) : coreutils in [rust](../programming/languages/Rust.md)
- [skim](../applications/cli/skim.md) : fuzzy finder
- [hck](../applications/cli/hck.md) : cut alternative
- [borg](../applications/backup/borg.md) : backup application
- [huniq](../applications/cli/huniq.md) : uniq alternative
- [intermodal](../applications/cli/intermodal.md) : cli [torrent](../tools/BitTorrent.md) helper