---
arch-wiki: "https://wiki.archlinux.org/title/Ext4"
obj: filesystem
---

# Ext4
The Extended Filesystem is a robust and currently default filesystem for [Linux](../Linux.md).

## Create Filesystem
```shell
mkfs.ext4 /dev/device
```

## Resize Filesystem:
```shell
resize2fs /dev/device
```

## Reserved Blocks
**Set reserved space to NUM% of space:**
```shell
tune2fs -m NUM /dev/device
```