---
obj: filesystem
---
# SquashFS
**Squashfs** is a compressed read-only [file system](Filesystems.md) for [Linux](../Linux.md).

## Creation
```shell
mksquashfs source1 source2 ... destination [options]
```

**Use alternate compressions:**
```shell
mksquashfs source1 destination -comp <compression>
```

**Highly compressed:**
```shell
mksquashfs source1 destination -comp xz -Xdict-size 100%
```

## Extraction
```shell
unsquashfs [options] target [files/directories to extract]
```