---
obj: concept
website: https://www.sqlite.org/index.html
---

# SQLite
SQLite is a C-language library that implements a small, fast, self-contained, high-reliability, full-featured, [SQL](languages/SQL.md) database engine. SQLite is the most used database engine in the world. SQLite is built into all mobile phones and most computers and comes bundled inside countless other applications that people use every day.

SQLite is an embedded [SQL](languages/SQL.md) database engine. Unlike most other [SQL](languages/SQL.md) databases, SQLite does not have a separate server process. SQLite reads and writes directly to ordinary disk files. A complete [SQL](languages/SQL.md) database with multiple tables, indices, triggers, and views, is contained in a single disk file. The database file format is cross-platform - you can freely copy a database between 32-bit and 64-bit systems or between big-endian and little-endian architectures. These features make SQLite a popular choice as an Application File Format.