# Ansible Modules

#wip #todo 

#todo -> explain modules, sort modules by usage cat

## Builtin
- [ansible.builtin.assert](ansible.builtin.assert.md)
- [ansible.builtin.blockinfile](ansible.builtin.blockinfile.md)
- [ansible.builtin.copy](ansible.builtin.copy.md)
- [ansible.builtin.cron](ansible.builtin.cron.md)
- [ansible.builtin.debug](ansible.builtin.debug.md)
- [ansible.builtin.fail](ansible.builtin.fail.md)
- [ansible.builtin.fetch](ansible.builtin.fetch.md)
- [ansible.builtin.package](ansible.builtin.package.md)
- [ansible.builtin.pause](ansible.builtin.pause.md)
- [ansible.builtin.replace](ansible.builtin.replace.md)
- [ansible.builtin.shell](ansible.builtin.shell.md)
- [ansible.builtin.systemd_service](ansible.builtin.systemd_service.md)
- [ansible.builtin.tempfile](ansible.builtin.tempfile.md)
- [ansible.builtin.template](ansible.builtin.template.md)
- [ansible.builtin.uri](ansible.builtin.uri.md)
- [ansible.builtin.user](ansible.builtin.user.md)
- [ansible.builtin.wait_for](ansible.builtin.wait_for.md)
- [ansible.builtin.lineinfile](ansible.builtin.lineinfile.md)



---

- https://docs.ansible.com/ansible/latest/collections/ansible/builtin/iptables_module.html#ansible-collections-ansible-builtin-iptables-module
- https://docs.ansible.com/ansible/latest/collections/ansible/builtin/file_module.html#ansible-collections-ansible-builtin-file-module
- https://docs.ansible.com/ansible/latest/collections/ansible/builtin/get_url_module.html#ansible-collections-ansible-builtin-get-url-module
- https://docs.ansible.com/ansible/latest/collections/ansible/builtin/git_module.html#ansible-collections-ansible-builtin-git-module
- https://docs.ansible.com/ansible/latest/collections/ansible/builtin/group_module.html#ansible-collections-ansible-builtin-group-module
- https://docs.ansible.com/ansible/latest/collections/ansible/builtin/hostname_module.html#ansible-collections-ansible-builtin-hostname-module
- https://docs.ansible.com/ansible/latest/collections/ansible/builtin/stat_module.html#ansible-collections-ansible-builtin-stat-module

---
- https://docs.ansible.com/ansible/latest/collections/ansible/posix/authorized_key_module.html#ansible-collections-ansible-posix-authorized-key-module
- https://docs.ansible.com/ansible/latest/collections/ansible/posix/mount_module.html#ansible-collections-ansible-posix-mount-module
- https://docs.ansible.com/ansible/latest/collections/ansible/posix/patch_module.html#ansible-collections-ansible-posix-patch-module
- https://docs.ansible.com/ansible/latest/collections/ansible/posix/synchronize_module.html#ansible-collections-ansible-posix-synchronize-module
- https://docs.ansible.com/ansible/latest/collections/ansible/posix/sysctl_module.html#ansible-collections-ansible-posix-sysctl-module

---

- https://docs.ansible.com/ansible/latest/collections/community/crypto/luks_device_module.html#ansible-collections-community-crypto-luks-device-module
- https://docs.ansible.com/ansible/latest/collections/community/crypto/get_certificate_module.html#ansible-collections-community-crypto-get-certificate-module
- https://docs.ansible.com/ansible/latest/collections/community/crypto/openssh_cert_module.html#ansible-collections-community-crypto-openssh-cert-module
- https://docs.ansible.com/ansible/latest/collections/community/crypto/openssh_keypair_module.html#ansible-collections-community-crypto-openssh-keypair-module

---

- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_compose_module.html#ansible-collections-community-docker-docker-compose-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_volume_info_module.html#ansible-collections-community-docker-docker-volume-info-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_volume_module.html#ansible-collections-community-docker-docker-volume-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_swarm_service_info_module.html#ansible-collections-community-docker-docker-swarm-service-info-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_swarm_service_module.html#ansible-collections-community-docker-docker-swarm-service-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_swarm_info_module.html#ansible-collections-community-docker-docker-swarm-info-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_prune_module.html#ansible-collections-community-docker-docker-prune-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_node_info_module.html#ansible-collections-community-docker-docker-node-info-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_node_module.html#ansible-collections-community-docker-docker-node-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_network_info_module.html#ansible-collections-community-docker-docker-network-info-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_network_module.html#ansible-collections-community-docker-docker-network-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_login_module.html#ansible-collections-community-docker-docker-login-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_image_load_module.html#ansible-collections-community-docker-docker-image-load-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_image_info_module.html#ansible-collections-community-docker-docker-image-info-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_image_module.html#ansible-collections-community-docker-docker-image-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_container_info_module.html#ansible-collections-community-docker-docker-container-info-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_container_exec_module.html#ansible-collections-community-docker-docker-container-exec-module
- https://docs.ansible.com/ansible/latest/collections/community/docker/docker_container_module.html#ansible-collections-community-docker-docker-container-module

---

- https://docs.ansible.com/ansible/latest/collections/community/general/zpool_facts_module.html#ansible-collections-community-general-zpool-facts-module
- https://docs.ansible.com/ansible/latest/collections/community/general/zfs_facts_module.html#ansible-collections-community-general-zfs-facts-module
- https://docs.ansible.com/ansible/latest/collections/community/general/zfs_module.html#ansible-collections-community-general-zfs-module
- https://docs.ansible.com/ansible/latest/collections/community/general/wakeonlan_module.html#ansible-collections-community-general-wakeonlan-module
- https://docs.ansible.com/ansible/latest/collections/community/general/ufw_module.html#ansible-collections-community-general-ufw-module
- https://docs.ansible.com/ansible/latest/collections/community/general/timezone_module.html#ansible-collections-community-general-timezone-module
- https://docs.ansible.com/ansible/latest/collections/community/general/sysrc_module.html#ansible-collections-community-general-sysrc-module
- https://docs.ansible.com/ansible/latest/collections/community/general/ssh_config_module.html#ansible-collections-community-general-ssh-config-module
- https://docs.ansible.com/ansible/latest/collections/community/general/pacman_module.html#ansible-collections-community-general-pacman-module
- https://docs.ansible.com/ansible/latest/collections/community/general/nmcli_module.html#ansible-collections-community-general-nmcli-module
- https://docs.ansible.com/ansible/latest/collections/community/general/mqtt_module.html#ansible-collections-community-general-mqtt-module
- https://docs.ansible.com/ansible/latest/collections/community/general/matrix_module.html#ansible-collections-community-general-matrix-module
- https://docs.ansible.com/ansible/latest/collections/community/general/mail_module.html#ansible-collections-community-general-mail-module
- https://docs.ansible.com/ansible/latest/collections/community/general/kernel_blacklist_module.html#ansible-collections-community-general-kernel-blacklist-module
- https://docs.ansible.com/ansible/latest/collections/community/general/ini_file_module.html#ansible-collections-community-general-ini-file-module
- https://docs.ansible.com/ansible/latest/collections/community/general/htpasswd_module.html#ansible-collections-community-general-htpasswd-module
- https://docs.ansible.com/ansible/latest/collections/community/general/git_config_module.html#ansible-collections-community-general-git-config-module
- https://docs.ansible.com/ansible/latest/collections/community/general/flatpak_module.html#ansible-collections-community-general-flatpak-module
- https://docs.ansible.com/ansible/latest/collections/community/general/filesystem_module.html#ansible-collections-community-general-filesystem-module
- https://docs.ansible.com/ansible/latest/collections/community/general/crypttab_module.html#ansible-collections-community-general-crypttab-module
- https://docs.ansible.com/ansible/latest/collections/community/general/btrfs_subvolume_module.html#ansible-collections-community-general-btrfs-subvolume-module
- https://docs.ansible.com/ansible/latest/collections/community/general/btrfs_info_module.html#ansible-collections-community-general-btrfs-info-module
- https://docs.ansible.com/ansible/latest/collections/community/general/archive_module.html#ansible-collections-community-general-archive-module
- https://docs.ansible.com/ansible/latest/collections/community/general/apk_module.html#ansible-collections-community-general-apk-module

---

- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_volume_info_module.html#ansible-collections-containers-podman-podman-volume-info-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_volume_module.html#ansible-collections-containers-podman-podman-volume-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_save_module.html#ansible-collections-containers-podman-podman-save-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_prune_module.html#ansible-collections-containers-podman-podman-prune-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_network_info_module.html#ansible-collections-containers-podman-podman-network-info-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_network_module.html#ansible-collections-containers-podman-podman-network-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_logout_module.html#ansible-collections-containers-podman-podman-logout-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_login_info_module.html#ansible-collections-containers-podman-podman-login-info-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_login_module.html#ansible-collections-containers-podman-podman-login-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_load_module.html#ansible-collections-containers-podman-podman-load-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_import_module.html#ansible-collections-containers-podman-podman-import-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_image_info_module.html#ansible-collections-containers-podman-podman-image-info-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_image_module.html#ansible-collections-containers-podman-podman-image-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_export_module.html#ansible-collections-containers-podman-podman-export-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_containers_module.html#ansible-collections-containers-podman-podman-containers-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_container_info_module.html#ansible-collections-containers-podman-podman-container-info-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_container_module.html#ansible-collections-containers-podman-podman-container-module
- https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_generate_systemd_module.html#ansible-collections-containers-podman-podman-generate-systemd-module

---

- https://docs.ansible.com/ansible/latest/collections/community/libvirt/virt_module.html#ansible-collections-community-libvirt-virt-module
- https://docs.ansible.com/ansible/latest/collections/community/libvirt/virt_net_module.html#ansible-collections-community-libvirt-virt-net-module
- https://docs.ansible.com/ansible/latest/collections/community/libvirt/virt_pool_module.html#ansible-collections-community-libvirt-virt-pool-module