---
obj: filesystem
---

#refactor #notnow 
geli is used in [FreeBSD](FreeBSD.md) to encrypt [filesystems](../linux/filesystems/Filesystems.md) on devices (similiar to [LUKS](../linux/filesystems/LUKS.md) on [Linux](../linux/Linux.md)).

### Setting up Geli

-   `geli init`: Initialize a disk or partition for encryption
-   `geli attach`: Attach an encrypted disk or partition
-   `geli detach`: Detach an attached encrypted disk or partition

### Managing keys

-   `geli addkey`: Add a new key to an encrypted disk or partition
-   `geli delkey`: Remove a key from an encrypted disk or partition
-   `geli list`: List the keys for an encrypted disk or partition

### Other Geli commands

-   `geli backup`: Back up the metadata for an encrypted disk or partition
-   `geli restore`: Restore the metadata for an encrypted disk or partition
-   `geli status`: Show the status of encrypted disks and partitions