---
tags: ["meta"]
obj: meta/collection
---

# Emulation
Emulation is a fascinating technology that enables one computer system, known as the host, to imitate the functionality of another system, known as the guest. This process allows software designed for one platform to run seamlessly on a different platform, preserving the user experience and functionality. Emulation has diverse applications, ranging from preserving vintage video games to running legacy software on modern systems. for example [qemu](../linux/qemu.md) allows emulating other cpu architectures.

## Emulators
| Emulator                                  | Target System           |
| ----------------------------------------- | ----------------------- |
| [Yuzu](Yuzu.md)                           | Nintendo Switch         |
| [Cemu](Cemu.md)                           | Nintendo Wii U          |
| [RPCS3](RPCS3.md)                         | Playstation 3           |
| [Citra](Citra.md)                         | Nintendo 3DS            |
| [Dolphin Emulator](Dolphin%20Emulator.md) | Nintendo Wii + GameCube | 
| [PCSX2](PCSX2.md)                         | Playstation 2           |
| [Ryujinx](Ryujinx.md)                     | Nintendo Switch         |
