---
wiki: https://en.wikipedia.org/wiki/Comma-separated_values
rfc: https://datatracker.ietf.org/doc/html/rfc4180
obj: concept
---
# CSV

Comma-separated values (CSV) is a text file format that uses commas to separate values. A CSV file stores tabular data (numbers and text) in plain text, where each line of the file typically represents one data record. Each record consists of the same number of fields, and these are separated by commas in the CSV file. If the field delimiter itself may appear within a field, fields can be surrounded with quotation marks.

# Example
```csv
Year,Make,Model
1997,Ford,E350
2000,Mercury,Cougar
```


