---
obj: codec
---
# AV1
AV1 is a royalty-free video codec designed to be an alternative to the widely used [H.264](H.264.md) and HEVC [codecs](../Codecs.md). It was developed by the Alliance for Open Media, a consortium of technology companies including Google, Mozilla, and Netflix.
Encoding can be done with [ffmpeg](../ffmpeg.md) or av1an.

## Key Features
AV1 includes a range of features designed to provide high-quality video compression while remaining open and accessible to all users:
-   High compression efficiency: AV1 is designed to provide high-quality video compression while using less bandwidth than other [codecs](../Codecs.md). This makes it ideal for streaming video over the internet.
-   Scalable video technology: AV1 includes scalable video technology that allows it to adjust the quality of video based on available bandwidth. This ensures that users always receive the best possible video quality for their network connection.
-   Royalty-free: Unlike other [codecs](../Codecs.md), AV1 is completely royalty-free. This means that anyone can use it without having to pay fees or royalties.
-   Wide range of applications: AV1 is suitable for a wide range of applications, including live streaming, video-on-demand services, and video conferencing.
-   Open and accessible: AV1 is an open standard, meaning that anyone can use it and contribute to its development. This makes it accessible to users of all skill levels.

## Advantages
AV1 offers a number of advantages over other video [codecs](../Codecs.md):
-   Higher quality video: AV1 provides higher quality video than other [codecs](../Codecs.md), even at lower bitrates.
-   More efficient compression: AV1 provides more efficient compression than other [codecs](../Codecs.md), allowing for faster download and upload times.
-   Better streaming performance: AV1 is designed for streaming video over the internet, and provides better streaming performance than other [codecs](../Codecs.md).
-   Wide compatibility: AV1 is compatible with a wide range of devices and platforms, including desktop and mobile devices.

