---
website: https://www.android.com
obj: os
---

# Android
Android is a mobile operating system developed by Google. It is based on the [Linux](../linux/Linux.md) kernel and is designed primarily for touchscreen devices such as smartphones and tablets. [GrapheneOS](GrapheneOS.md) is a custom Android ROM focused on Security.

## Architecture and Components:
### 1. **Linux Kernel:**
- Android's foundation lies in the [Linux](../linux/Linux.md) kernel, which provides a secure and reliable core for the operating system.
### 2. **Android Runtime (ART):**
- Android utilizes the ART runtime to execute applications, offering improved performance and responsiveness compared to its predecessor, Dalvik.
### 3. **Application Framework:**
- Developers leverage the Android application framework, a set of APIs that includes activities, services, content providers, and broadcast receivers, to build diverse and interactive applications.
### 4. **Libraries:**
- Android includes various libraries for tasks such as graphics rendering, database access, and network communication, simplifying the development process and enhancing application capabilities.
### 5. **Application Layer:**
- The application layer is where users interact with installed applications, spanning a wide range of categories from productivity to entertainment.
