---
aliases: ["VM"]
obj: concept
wiki: https://en.wikipedia.org/wiki/Virtual_machine
---
# Virtual Machine
In computing, a virtual machine (VM) is the virtualization or [emulation](../emulation/Emulation.md) of a computer system. Virtual machines are based on computer architectures and provide the functionality of a physical computer.

Virtual Machine can be used to run operating systems in an isolated environment. A similiar concept is [Emulation](../emulation/Emulation.md), which allows different hardware to be simulated.

## Virtual Machine Software
- [bhyve](../bsd/bhyve.md)
- [qemu](../linux/qemu.md)
- [Proxmox](../linux/Proxmox.md)